Results 1 to 12 of 12

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Will iTunes allow 3.1.2 ?

  1. #1
    Default Will iTunes allow 3.1.2 ?
    My friend has a jailbroken 3G which is on an old firmware version 3.0.1.

    Cydia says it has shsh files backed up for 4.0 and 4.0.1

    How can I safely upgrade it to 3.1.2 and jailbreak it ?

    Will iTunes 9.2 allow me to restore the 3G up to version 3.1.2 or will it force me to restore to 4.0 ?

    I do not want 4.0 on the 3G because I am afraid it will run very slow.

    Any help will be greatly appreciated. Thanks!
    Last edited by monica_69; 2010-07-27 at 06:34 AM.

  2. #2
    unless u have 3.1.2 backed, which it doesnt seem like u do since u said u only have 4.0 backed up..so my answer is nope..... u are SOL cause 3.0.1 sucks and all the good stuff requires atleast 3.1

  3. #3
    thanks for the quick reply. I'm thinking of going to 4.0.1 then but just disable multitasking and wallpapers, I hope that might make it more bearable....what do you think / suggest I should do ?

  4. #4
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Its a 3G. You might not need those shsh files backed up. Attempt a shift+restore with a stock 3.1.2 ipsw you can get from the downloads section here on MMi. If you get error 1015, ignore it and use recboot or tinyumbrella to kick your phone out of recovery mode. Then use Redsn0w 0.9.3 to jailbreak and ultrasn0w from Cydia to unlock.

    If that doesnt work, use Sn0wbreeze (forgot which version, research that but I think its v1.4) and create a custom firmware to shift+restore with. Custom fw should work without shsh files.

    If that doesnt work, go ahead and go up to iOS 4 and jailbreak with redsn0w 0.9.5b5-5 and unlock with ultrasn0w. Disabling wallpaper and multitask thru Redsn0w will help performance.
    Last edited by i.Annie; 2010-07-27 at 07:10 AM. Reason: Automerged Doublepost

  5. The Following User Says Thank You to i.Annie For This Useful Post:

    monica_69 (2010-07-27)

  6. #5
    thanks Anniex423, I will attempt a shift+restore with a stock 3.1.2 ipsw however I think iTunes 9.2 will only allow 4.0.1 ipsw's even on a 3G....I just needed someone to verify before I attempt it...so many things have changed with Apple only signing 4.0.1 now and with so many 3G and ipod touches out there with no shsh on file for 3.1.2 or 3.1.3

  7. #6
    Retired Moderator
    Join Date
    Jun 2009
    Location
    Alhambra, CA
    Posts
    16,904
    Thanks
    137
    Thanked 2,202 Times in 1,924 Posts

    Try downloading iTunes 9.1 then

    Oldapps.com

  8. #7
    Quote Originally Posted by Anniex423 View Post
    Try downloading iTunes 9.1 then

    Oldapps.com
    thanks Anniex423, will try later this week

  9. #8
    My iPhone is a Part of Me
    Join Date
    Apr 2010
    Location
    N. Ireland
    Posts
    649
    Thanks
    10
    Thanked 81 Times in 75 Posts

    I used 9.2 to restore 3.1.2 to my GF's 3G, it works fine.

  10. #9
    Livin the iPhone Life CaptainChaos's Avatar
    Join Date
    Sep 2008
    Location
    In a van down by the river
    Posts
    4,824
    Thanks
    553
    Thanked 515 Times in 427 Posts

    Same here. I used 9.2 to jailbreak 3.1.2 as well. You do not need ShSh at all. It does not apply to the 3G.

  11. The Following User Says Thank You to CaptainChaos For This Useful Post:

    monica_69 (2010-07-27)

  12. #10
    Livin the iPhone Life jkmonkey's Avatar
    Join Date
    Mar 2010
    Location
    Upstate NY
    Posts
    1,433
    Thanks
    67
    Thanked 254 Times in 245 Posts

    Shsh's are needed for a 3G, but only for 4.0 and up. You can still install 3.x using the shift+click restore method without any problems.

  13. The Following 2 Users Say Thank You to jkmonkey For This Useful Post:

    CaptainChaos (2010-07-27), monica_69 (2010-07-27)

  14. #11
    Quote Originally Posted by CaptainChaos View Post
    Same here. I used 9.2 to jailbreak 3.1.2 as well. You do not need ShSh at all. It does not apply to the 3G.
    I thought as of July 20, it did apply to 3G and ipt2g

    I tried to downgrade an ipod touch 2nd gen from 4.0 down to 3.1.2 but was not successful because of no shsh backed up.

    Maybe you are allowed to upgrade from 3.0 to 3.1.2 ?

    CaptainChaos, when did you try it ? before or after July 20th ?

    this is from Dev-Team Blog

    "Blob banter

    Those of you with jailbroken iPhone3G and ipt2G devices may now have noticed Cydia starting to save your SHSH blobs too, just like it does for iPhone3GS, ipt3G and later devices. That’s because starting with 4.0, Apple started putting a “soft” SHSH blob check in the firmware. The SHSH blob check is very real in the sense that if iTunes can’t get your blobs (because the Apple signing window has closed), the iTunes restore will error out. But it’s “soft” in the sense that those devices can always use redsn0w or PwnageTool to get past the error (the bootroms themselves for those devices don’t require blobs to be in the firmware files, unlike the newer bootroms).

    Furthermore, since the 3.x IPSWs for these devices don’t enforce it, you can always restore to 3.x IPSWs outside of any signing windows.

    So, Cydia is doing this to allow you to continue to use iTunes to restore to 4.x on iPhone3G and ipt2g outside of Apple’s signing window without needing to use redsn0w or PwnageTool to get around Apple’s annoying new restriction."

    Quote Originally Posted by jkmonkey View Post
    Shsh's are needed for a 3G, but only for 4.0 and up. You can still install 3.x using the shift+click restore method without any problems.
    that's what I was thinking...I guess I'll know this weekend when I do it

    thanks all for your help
    Last edited by monica_69; 2010-07-27 at 06:12 PM. Reason: Automerged Doublepost

  15. #12
    Livin the iPhone Life CaptainChaos's Avatar
    Join Date
    Sep 2008
    Location
    In a van down by the river
    Posts
    4,824
    Thanks
    553
    Thanked 515 Times in 427 Posts

    I am on 3.1.2 jailbroken on my 3G. I have no intentions of moving it to 4.0. It was before the 20th, but like I said...it is 3.1.2. My 3GS is jailbroken on 4.0 because it can handle it. When I get the iPhone 4 I will jailbreak it too. I don't like how slow the 3G is and 4.0 would make it worse. I use it as a backup phone due to the battery life sucking on iPhones.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •